import {Component, OnInit} from '@angular/core';
import {HelloService} from '../../gen';

@Component({
  selector: 'app-hello',
  standalone: false,

  templateUrl: './hello.component.html',
  styleUrl: './hello.component.css'
})
export class HelloComponent implements OnInit {
  public helloValue: string = "Loading...";

  constructor(private helloService: HelloService) {
  }

  ngOnInit(): void {
    this.helloService.getHello().subscribe(res => {
      this.helloValue = res.value || "";
    });
  }
}
